import { TCromwellNotify } from '@cromwell/core';
import { ToastOptions } from 'react-toastify';
declare class Toast implements TCromwellNotify {
    success(text: string, options?: ToastOptions): import("react-toastify").Id;
    warning(text: string, options?: ToastOptions): import("react-toastify").Id;
    error(text: string, options?: ToastOptions): import("react-toastify").Id;
    info(text: string, options?: ToastOptions): import("react-toastify").Id;
    POSITION: {
        TOP_LEFT: import("react-toastify").ToastPosition;
        TOP_RIGHT: import("react-toastify").ToastPosition;
        TOP_CENTER: import("react-toastify").ToastPosition;
        BOTTOM_LEFT: import("react-toastify").ToastPosition;
        BOTTOM_RIGHT: import("react-toastify").ToastPosition;
        BOTTOM_CENTER: import("react-toastify").ToastPosition;
    };
    warn: (text: string, options?: ToastOptions) => import("react-toastify").Id;
    dismiss: (id?: import("react-toastify").Id) => void;
}
export declare const toast: Toast;
export {};
